<?php 

	$forest_adventure_tour_custom_style = '';

	// Logo Size
	$forest_adventure_tour_logo_top_padding = get_theme_mod('forest_adventure_tour_logo_top_padding');
	$forest_adventure_tour_logo_bottom_padding = get_theme_mod('forest_adventure_tour_logo_bottom_padding');
	$forest_adventure_tour_logo_left_padding = get_theme_mod('forest_adventure_tour_logo_left_padding');
	$forest_adventure_tour_logo_right_padding = get_theme_mod('forest_adventure_tour_logo_right_padding');

	if( $forest_adventure_tour_logo_top_padding != '' || $forest_adventure_tour_logo_bottom_padding != '' || $forest_adventure_tour_logo_left_padding != '' || $forest_adventure_tour_logo_right_padding != ''){
		$forest_adventure_tour_custom_style .=' .logo {';
			$forest_adventure_tour_custom_style .=' padding-top: '.esc_attr($forest_adventure_tour_logo_top_padding).'px; padding-bottom: '.esc_attr($forest_adventure_tour_logo_bottom_padding).'px; padding-left: '.esc_attr($forest_adventure_tour_logo_left_padding).'px; padding-right: '.esc_attr($forest_adventure_tour_logo_right_padding).'px;';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_logo_size = get_theme_mod('forest_adventure_tour_logo_size');
	if( $forest_adventure_tour_logo_size != '') {
		if($forest_adventure_tour_logo_size == 100) {
			$forest_adventure_tour_custom_style .=' .custom-logo-link img {';
				$forest_adventure_tour_custom_style .=' width: 350px;';
			$forest_adventure_tour_custom_style .=' }';
		} else if($forest_adventure_tour_logo_size >= 10 && $forest_adventure_tour_logo_size < 100) {
			$forest_adventure_tour_custom_style .=' .custom-logo-link img {';
				$forest_adventure_tour_custom_style .=' width: '.esc_attr($forest_adventure_tour_logo_size).'%;';
			$forest_adventure_tour_custom_style .=' }';
		}
	}

	// Header Image
	$header_image_url = forest_adventure_tour_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$forest_adventure_tour_custom_style .=' #inner-pages-header {';
			$forest_adventure_tour_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$forest_adventure_tour_custom_style .=' }';
	} else {
		$forest_adventure_tour_custom_style .=' #inner-pages-header {';
			$forest_adventure_tour_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_slider_hide_show = get_theme_mod('forest_adventure_tour_slider_hide_show',false);
	if( $forest_adventure_tour_slider_hide_show == true){
		$forest_adventure_tour_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$forest_adventure_tour_custom_style .=' display:none;';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_menu_color = get_theme_mod('forest_adventure_tour_menu_color');
	if ( $forest_adventure_tour_menu_color != '') {
		$forest_adventure_tour_custom_style .=' .primary-menu a{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_menu_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_menuhvr_color = get_theme_mod('forest_adventure_tour_menuhvr_color');
	if ( $forest_adventure_tour_menuhvr_color != '') {
		$forest_adventure_tour_custom_style .=' .primary-menu a:hover{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_menuhvr_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_hdrbtn_color = get_theme_mod('forest_adventure_tour_hdrbtn_color');
	$forest_adventure_tour_hdrbtnbg_color = get_theme_mod('forest_adventure_tour_hdrbtnbg_color');
	if ( $forest_adventure_tour_hdrbtn_color != '') {
		$forest_adventure_tour_custom_style .=' #header .Hbtn a{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_hdrbtn_color).'; background-color:'.esc_attr($forest_adventure_tour_hdrbtnbg_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	//site title tagline
	$forest_adventure_tour_site_title_color = get_theme_mod('forest_adventure_tour_site_title_color');
	if ( $forest_adventure_tour_site_title_color != '') {
		$forest_adventure_tour_custom_style .=' h1.site-title a, p.site-title a{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_site_title_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_site_tagline_color = get_theme_mod('forest_adventure_tour_site_tagline_color');
	if ( $forest_adventure_tour_site_tagline_color != '') {
		$forest_adventure_tour_custom_style .=' p.site-description{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_site_tagline_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	//layout width
	$forest_adventure_tour_boxfull_width = get_theme_mod('forest_adventure_tour_boxfull_width');
	if ($forest_adventure_tour_boxfull_width !== '') {
		switch ($forest_adventure_tour_boxfull_width) {
			case 'container':
				$forest_adventure_tour_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$forest_adventure_tour_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$forest_adventure_tour_dropdown_anim = get_theme_mod('forest_adventure_tour_dropdown_anim');

	if ( $forest_adventure_tour_dropdown_anim != '') {
		$forest_adventure_tour_custom_style .=' .primary-menu ul {';
			$forest_adventure_tour_custom_style .=' transform: none; transition: none; animation:'.esc_attr($forest_adventure_tour_dropdown_anim).' 1s ease;';
		$forest_adventure_tour_custom_style .=' }';
	}

	//Aboutus color
	$forest_adventure_tour_aboutus_subheading_color = get_theme_mod('forest_adventure_tour_aboutus_subheading_color');
	if ( $forest_adventure_tour_aboutus_subheading_color != '') {
		$forest_adventure_tour_custom_style .=' #aboutus-section .abtsection-title h1{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_aboutus_subheading_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_aboutus_heading_color = get_theme_mod('forest_adventure_tour_aboutus_heading_color');
	if ( $forest_adventure_tour_aboutus_heading_color != '') {
		$forest_adventure_tour_custom_style .=' #aboutus-section .abtsection-title h2{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_aboutus_heading_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_aboutus_desc_color = get_theme_mod('forest_adventure_tour_aboutus_desc_color');
	if ( $forest_adventure_tour_aboutus_desc_color != '') {
		$forest_adventure_tour_custom_style .=' #aboutus-section .abtsection-title p{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_aboutus_desc_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}

	//Slider css
	$forest_adventure_tour_slider_font_size = get_theme_mod('forest_adventure_tour_slider_font_size');
	if ( $forest_adventure_tour_slider_font_size != '') {
		$forest_adventure_tour_custom_style .=' .ht-slide-cap-title {';
			$forest_adventure_tour_custom_style .=' font-size:'.esc_attr($forest_adventure_tour_slider_font_size).'px;';
		$forest_adventure_tour_custom_style .=' }';
	}

	$forest_adventure_tour_slider_color = get_theme_mod('forest_adventure_tour_slider_color');
	if ( $forest_adventure_tour_slider_color != '') {
		$forest_adventure_tour_custom_style .=' .ht-slide-cap-title{';
			$forest_adventure_tour_custom_style .=' color:'.esc_attr($forest_adventure_tour_slider_color).';';
		$forest_adventure_tour_custom_style .=' }';
	}